package ru.dbotthepony.kstarbound

import com.google.gson.GsonBuilder
import com.google.gson.TypeAdapter
import java.util.Arrays
import java.util.stream.Stream

inline fun <reified T> GsonBuilder.registerTypeAdapter(adapter: TypeAdapter<T>): GsonBuilder {
	return registerTypeAdapter(T::class.java, adapter)
}

fun <T> Array<T>.stream(): Stream<T> = Arrays.stream(this)
