package ru.dbotthepony.kstarbound.test

import jdk.jfr.Description
import org.junit.jupiter.api.Test
import ru.dbotthepony.kvector.matrix.nfloat.Matrix3f

object MatrixTest {
	@Test
	@Description("Matrix test")
	fun test() {
		val a = Matrix3f.rm(
			4f, 2f, 0f,
			0f, 8f, 1f,
			0f, 1f, 0f
		)

		val b = Matrix3f.rm(
			4f, 2f, 1f,
			2f, 0f, 4f,
			9f, 4f, 2f
		)

		val c = Matrix3f.rm(
			20f, 8f, 12f,
			25f, 4f, 34f,
			2f, 0f, 4f
		)

		require(a * b == c) { "${a * b} != $c" }
	}
}
